## mingw-w64-libproxy-0.5.5-1.src.tar.zst

=== meson_options.txt ===
option(
  'docs',
  type: 'boolean',
  value: true,
  description: 'Whether to generate the API reference for libproxy (requires introspection)'
)

option(
  'tests',
  type: 'boolean',
  value: true,
  description: 'Whether to compile test cases for libproxy'
)

option(
  'config-env',
  type: 'boolean',
  value: true,
  description: 'Whether to build support for environment configuration'
)

option(
  'config-gnome',
  type: 'boolean',
  value: true,
  description: 'Whether to build support for GNOME configuration'
)

option(
  'config-windows',
  type: 'boolean',
  value: true,
  description: 'Whether to build support for Windows configuration'
)

option(
  'config-sysconfig',
  type: 'boolean',
  value: true,
  description: 'Whether to build support for sysconfig configuration'
)

option(
  'config-osx',
  type: 'boolean',
  value: true,
  description: 'Whether to build support for OS X configuration'
)

option(
  'config-kde',
  type: 'boolean',
  value: true,
  description: 'Whether to build support for KDE System Settings'
)

option(
  'pacrunner-duktape',
  type: 'boolean',
  value: true,
  description: 'Whether to build support for PAC Runner Duktape'
)

option(
  'vapi',
  type: 'boolean',
  value: true,
  description: 'Whether to build vapi support'
)

option(
  'curl',
  type: 'boolean',
  value: true,
  description: 'Whether to build cURL support'
)

option(
  'introspection',
  type: 'boolean',
  value: true,
  description: 'Whether to build introspection support'
)

option(
  'release',
  type: 'boolean',
  value: false,
  description: 'Whether to compile for release'
)

=== PKGBUILD ===
# Maintainer: Alexey Pavlov <alexpux@gmail.com>

_realname=libproxy
pkgbase=mingw-w64-${_realname}
pkgname="${MINGW_PACKAGE_PREFIX}-${_realname}"
pkgver=0.5.5
pkgrel=1
pkgdesc="A library that provides automatic proxy configuration management (mingw-w64)"
arch=('any')
mingw_arch=('mingw32' 'mingw64' 'ucrt64' 'clang64' 'clang32' 'clangarm64')
url="https://libproxy.github.io/libproxy/"
msys2_references=(
  "cpe: cpe:/a:libproxy_project:libproxy"
)
license=('spdx:LGPL-2.1-or-later')
depends=("${MINGW_PACKAGE_PREFIX}-gcc-libs"
         "${MINGW_PACKAGE_PREFIX}-glib2"
         "${MINGW_PACKAGE_PREFIX}-curl"
         "${MINGW_PACKAGE_PREFIX}-duktape"
         "${MINGW_PACKAGE_PREFIX}-gobject-introspection"
         "${MINGW_PACKAGE_PREFIX}-gsettings-desktop-schemas")
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-meson"
             "${MINGW_PACKAGE_PREFIX}-pkgconf"
             "${MINGW_PACKAGE_PREFIX}-ninja"
             "${MINGW_PACKAGE_PREFIX}-vala")
checkdepends=("${MINGW_PACKAGE_PREFIX}-libsoup3")
source=("${_realname}-${pkgver}.tar.gz::https://github.com/libproxy/libproxy/archive/refs/tags/${pkgver}.tar.gz"
        "0001-install-backend-bindir.patch")
sha256sums=('11a2eace773755e79b8d37833985ce475aed4ca4d3e6656defd5eef67b5a00f1'
            '659e9f5ab6097cff46b04e49b833c89422c2b7fbd6e26baf370fac7159c0aecf')

prepare() {
  cd "${srcdir}/${_realname}-${pkgver}"

  # Install libpxbackend-1.0.dll in bindir for libproxy-1.dll
  # Partially reverts https://github.com/libproxy/libproxy/pull/223
  patch -p1 -i "${srcdir}/0001-install-backend-bindir.patch"
}

build() {
  mkdir -p ${srcdir}/build-${MSYSTEM} && cd ${srcdir}/build-${MSYSTEM}

  declare -a _extra_config
  if check_option "debug" "n"; then
    _extra_config+=("--buildtype=release")
  else
    _extra_config+=("--buildtype=debug")
  fi

  MSYS2_ARG_CONV_EXCL="--prefix=" \
  ${MINGW_PREFIX}/bin/meson setup \
    --prefix="${MINGW_PREFIX}" \
    --wrap-mode=nodownload \
    --auto-features=enabled \
    "${_extra_config[@]}" \
    -Ddocs=false \
    -Dtests=false \
    -Dconfig-kde=false \
    ../${_realname}-${pkgver}

  ${MINGW_PREFIX}/bin/meson compile
}

check() {
  cd "${srcdir}/build-${MSYSTEM}"
  ${MINGW_PREFIX}/bin/meson test || warning "Tests failed"
}

package() {
  cd "${srcdir}/build-${MSYSTEM}"
  DESTDIR="${pkgdir}" ${MINGW_PREFIX}/bin/meson install
  install -Dm644 "${srcdir}/${_realname}-${pkgver}/COPYING" "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}/COPYING"
}
